%global commit          ebd19355d3dca00f49f2def2f2e573fc50db0d99
%global shortcommit     %(c=%{commit}; echo ${c:0:7})
%global snapshotdate    20210611

Name:           cockpit-certificates
Version:        1.5
Release:        1.%{snapshotdate}git%{shortcommit}%{?dist}
Summary:        Cockpit user interface for certificates
License:        0BSD and AFL and ASL 2.0 and BSD and CC0 and CC-BY and ISC and LGPLv2+ and MIT and Unlicense
URL:            https://github.com/skobyda/cockpit-certificates

Source0:        %url/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
Source1:        cockpit-lib.tar.gz
Source2:        %{name}-%{version}-nm.tgz
Source3:        %{name}-%{version}-bundled-licenses.txt
Source10:       get-cockpit-lib.sh
Source11:       packages-bundler.sh

BuildArch:      noarch
BuildRequires:  libappstream-glib
BuildRequires:  nodejs-devel
BuildRequires:  sassc

Requires: cockpit-bridge
Requires: certmonger

%description
Cockpit component for managing certificates with certmonger.

%prep
%setup -q -a 1 -n %{name}-%{commit}
cp %{S:2} %{S:3} .

%build
tar xfz %{SOURCE2}
./node_modules/.bin/webpack-cli

%install
mkdir -p %{buildroot}%{_datadir}/cockpit/certificates
cp -a dist/* %{buildroot}%{_datadir}/cockpit/certificates/
mkdir -p %{buildroot}%{_metainfodir}
cp -a org.cockpit-project.certificates.metainfo.xml %{buildroot}%{_metainfodir}/
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/org.cockpit-project.certificates.metainfo.xml

%files
%doc README.md
%license LICENSE %{name}-%{version}-bundled-licenses.txt
%{_datadir}/cockpit/%{name}/
%{_datadir}/metainfo/org.cockpit-project.certificates.metainfo.xml

# The changelog is automatically generated and merged
%changelog
